# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc模糊搜索_集配模板新增集配客户下拉框,00,00-22,sit,be
主数据平台:后台运营系统获取集配模板新增集配客户下拉选项接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import random
import json

module = "cmdc_special_version"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_admin")
password = commonFuc().get_business_data(module, "password_admin")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取集配模板新增集配客户下拉选项
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url23")
request_body = commonFuc().get_business_data(module, "payload23")
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
result = json.loads(result.content)

# 生成随机数
company_random = random.randint(0, len(result["data"]) - 1)
# 获取集配客户信息
cusCompanyName = result["data"][company_random]["cusCompanyName"][:2]

# 第三步进行模糊查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url22")
request_body = commonFuc().get_business_data(module, "payload22", cusCompanyName)
"""

 场景: 模糊搜索_集配模板新增集配客户下拉框
 用例名称：模糊搜索_集配模板新增集配客户下拉框
 输出：{"cusCompanyName":"%s"}
"""

# 发送请求
result = requests.get(url, params=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取集配客户信息
result = json.loads(result.content)
# print(result)
result = {"cusCompanyName": result["data"][0]["cusCompanyName"][:2]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict22", cusCompanyName)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)

