# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc列表查询条件验证_我的返利,33,33-64,sit,be
主数据平台:多采商城获取我的返利列表接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.多采商城登录.多采商城登录 import CmdcMaiiLogin
import requests
import random
import json

module = "cmdc_33st"

# 第一步登录后台运营系统获取token
username = commonFuc().get_business_data(module, "username_be")
password = commonFuc().get_business_data(module, "password_be")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcMaiiLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers1", cmdc_access_token)

# 第二步获取我的返利列表
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url63")
request_body = commonFuc().get_business_data(module, "payload63")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)
# print(result)
# 生成随机数
rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
# 获取返利信息
startTime = result["data"]["list"][rebate_random]["monthTime"]

# 第三步进行列表条件查询
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url64")
request_body = commonFuc().get_business_data(module, "payload64", startTime, startTime)
# print(request_body)
"""
 场景: 列表查询条件验证_我的返利
 用例名称：列表查询条件验证_我的返利
 输出：{"startTime":"%s"}
"""

# 发送请求
result = requests.post(url, json=request_body, headers=headers)
# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())

# 获取查询结果
result = json.loads(result.content)
result = {"startTime": result["data"]["list"][0]["monthTime"]}
# 将接口响应时间添加至result
result["api_time"] = api_time

# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict64", startTime)
# print(check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
