# -*- encoding=utf8 -*-
__author__ = "zhouniandong"

"""
case_tag:cmdc_api,cmdc子站客户管理按父节点查询区域,2001,2001-1-3,sit,bs
主数据平台:运营后台管理系统子站客户管理接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import requests
import json


module = "cmdc_member_subcustomer"

url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url3")
print("\033[031murl============\033[0m",url)
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username")
#print(username)
password = commonFuc().get_business_data(module, "password")
#print(password)
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
#print("\033[031mcmdc_access_token============\033[0m",cmdc_access_token)
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)
#print("\033[031mheaders============\033[0m",headers)
request_body = commonFuc().get_business_data(module, "payload3")
#print("\033[031request_body============\033[0m",request_body)
"""
 场景:子站客户管理()
 用例名称：子站客户管理按父节点查询区域(子站客户管理)
 输出：{"success":true,"code":"200","message":"OK"}
"""
# 发送请求
result = requests.get(url, params=request_body, headers=headers)
#print("\033[031mresult1============\033[0m",result)

# 获取接口响应时间
api_time = float(result.elapsed.total_seconds())
result = json.loads(result.content)
result["api_time"] = api_time
print(api_time)
#print("\033[031mresult2============\033[0m",result)
# 获取预期结果
check_dict = commonFuc().get_business_data(module, "checkDict3")
print("\033[031mcheck_dict============\033[0m",check_dict)
# 断言实际结果中是否包含预期结果的内容
commonFuc().check_result(check_dict, result)
