# -*- encoding=utf8 -*-
__author__ = "liguangyu"

"""
case_tag:cmdc_api,cmdc返利发放编辑功能验证,2271,2271-41,sit,bs
主数据平台:后台运营系统返利发放编辑接口
"""

from common.common_func import commonFuc
from air_case.cmdc_login.后台管理系统登录.后台管理系统登录 import CmdcDoLogin
import random
import requests
import json

module = "cmdc_rebate"

# 第一步登录后台运营平台获取cmdc_access_token
# 获取登录所需账号密码
username = commonFuc().get_business_data(module, "username1")
password = commonFuc().get_business_data(module, "password1")
# 获取登录后Cmdc_access_token
cmdc_access_token = CmdcDoLogin(username, password).get_token()
headers = commonFuc().get_business_data(module, "json_headers", cmdc_access_token)

# 第二步获取返利发放明细
url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url33")
request_body = commonFuc().get_business_data(module, "payload33")
# 发送请求
result = requests.post(url, json=request_body, headers=headers)
result = json.loads(result.content)

# 判断是否获取到返利发放明细信息
if result["data"]["list"]:
    # 生成一个随机数字
    rebate_random = random.randint(0, len(result["data"]["list"]) - 1)
    # 获取返利信息
    rebate_json = result["data"]["list"][rebate_random]
    rebate_trip_id = result["data"]["list"][rebate_random]["rebateTripId"]

    # 第三步进行返利发放规则编辑更新操作
    url = commonFuc().get_api_url() + commonFuc().get_business_data(module, "url42")
    request_body = rebate_json

    """
     场景: 返利发放编辑功能验证
     用例名称：返利发放编辑功能验证
     输出：{"rebateTripId":"%s"}
    """

    # 发送请求
    result = requests.post(url, json=request_body, headers=headers)
    # 获取接口响应时间
    api_time = float(result.elapsed.total_seconds())
    result = json.loads(result.content)
    # print(result)
    # 获取查询结果中的返利信息
    result = {"rebateTripId": result["data"]["rebateTripId"]}
    result["api_time"] = api_time
    # 获取预期结果
    check_dict = commonFuc().get_business_data(module, "checkDict42", rebate_trip_id)
    # 断言实际结果中是否包含预期结果的内容
    commonFuc().check_result(check_dict, result)

